Skip to navigation

Get all tasks

Authentication

AuthorizationBearer
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

Query parameters

limitintegerOptional
Defaults to 100
page_tokenstringOptional
statusenumOptional
statusesstringOptional

Only return tasks with a status that matches one in this comma-separated list.

task_typeenumOptional
task_typesstringOptional

Only return tasks with a task_type that matches one in this comma-separated list.

categoriesstringOptional

Only return tasks with categories that match one in this comma-separated list.

updated_sincedatetimeOptional

Only return tasks updated on or after this date-time

encounter_idstringOptionalformat: "uuid"
Only return tasks associated with this encounter
search_termstringOptional

Query tasks by encounter_id, claim_id, task_id, or external_id

assigned_to_idstringOptionalformat: "uuid"
Only return tasks assigned to this user
date_of_service_mindateOptional
The minimum date of service for the linked encounter
date_of_service_maxdateOptional
The maximum date of service for the linked encounter
billing_provider_npistringOptional
The NPI of the billing provider associated with the task's claim
sortenumOptional

Defaults to updated_at:desc

Response

itemslist of objects
next_page_tokenstring or nullOptional
prev_page_tokenstring or nullOptional

Errors

422
Unprocessable Entity Error